API Reference

Detailed and full API reference helps you master Tekla development

This is the most recent version of Tekla Open API.
For older versions, please visit Tekla Warehouse.

PolyBeamAddContourPoint Method

Adds a contour point to the polybeam.

Namespace:  Tekla.Structures.Model
Assembly:  Tekla.Structures.Model (in Tekla.Structures.Model.dll) Version: 2019.0.0.0 (2019.0.0.0)
Syntax
public bool AddContourPoint(
	ContourPoint contourPoint
)

Parameters

contourPoint
Type: Tekla.Structures.ModelContourPoint
The contour point to be added to the polybeam.

Return Value

Type: Boolean
True on success, false if there is no more space for another contour point.
See Also